Subject: Re: linux-next: build failure after merge of the kspp-gustavo tree

From: Steven Rostedt <[email-masked]>
Date: Sun, 24 Oct 2021 22:42:15 -0400

On Sun, 24 Oct 2021 21:11:19 -0500
"Gustavo A. R. Silva" <[email-masked]> wrote:

> On Mon, Oct 25, 2021 at 12:54:46PM +1100, Stephen Rothwell wrote:
> > > --- a/include/linux/ftrace.h
> > > +++ b/include/linux/ftrace.h
> > > @@ -45,6 +45,7 @@ struct ftrace_ops;
> > >  void arch_ftrace_ops_list_func(unsigned long ip, unsigned long parent_ip);
> > >  #else
> > >  # define FTRACE_FORCE_LIST_FUNC 0
> > > +struct ftrace_regs;
> > >  void arch_ftrace_ops_list_func(unsigned long ip, unsigned long parent_ip,
> > >  			       struct ftrace_ops *op, struct ftrace_regs *fregs);
> > >  #endif
> > > -- 
> > > 2.33.0  
> > 
> > I am still applying this fix ...  
> 
> I will add this fix to the original patch for my tomorrow's -next tree.

Hmm, I pushed my version to my for-next branch. Do you have this in the
next tree?

  34cdd18b8d245f3e901e5325 ("tracing: Use linker magic instead of recasting
  ftrace_ops_list_func()")

Which shouldn't need this fix.

-- Steve